XPlanner

Docs

Read API key

Returns the current API key, workspace access, account access, scope list, and current rate limit status.


GET

/me

scope yok

Header'lar

Authorization

*
string

API key. Format: Bearer xpl_live_...

Access summary

workspaceAccess

all | selected

If selected, the workspaceIds list shows the workspaces that the API key can access.

accountAccess

all | selected

If selected, the apiKey.accountIds list shows the X accounts that the API key can access.

rateLimit

momentary

Returns the most restrictive rate limit applied to this request.

Cevaplar

200

API key metadata, workspace/account allowlist and rate limit summary.

cURL

curl https://api.xplanner.co/v1/me \  -H "Authorization: Bearer $XPLANNER_API_KEY"

Cevap

{  "data": {    "apiKey": {      "id": "key_123",      "name": "Claude içerik asistanı",      "publicId": "k8Hf2r0LmqYpX9Qs",      "lastFour": "Q9x2",      "scopes": ["accounts:read", "posts:create", "posts:read"],      "workspaceAccess": "selected",      "accountAccess": "selected",      "workspaceId": "wrk_123",      "workspaceIds": ["wrk_123"],      "accountIds": ["acc_123"],      "allowedIps": [],      "createdAt": "2026-05-15T09:00:00.000Z",      "updatedAt": "2026-05-15T09:00:00.000Z",      "expiresAt": null,      "lastUsedAt": "2026-05-15T09:05:00.000Z",      "revokedAt": null,      "rotatedAt": null    },    "workspaceAccess": "selected",    "workspaceId": "wrk_123",    "workspaceIds": ["wrk_123"],    "rateLimit": {      "limit": 120,      "remaining": 119,      "reset": 1760000000    }  },  "requestId": "req_123"}